<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00025" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00025][Error] The attribute @ism:excludeFromRollup must not be specified for any element 
        in the namespace [urn:us:mil:ces:metadata:ddms:4] except security.
        
        Human Readable: The only DDMS 4.0 element whose ISM attributes are allowed to be 
        excluded from roll-up to the Resource element is ddms:security.
    </sch:p>
    
    <sch:p id="codeDesc">
        For any element in the ddms namespace containing the ism:excludeFromRollup attribute, the rule
        will be satisfied if the name of the element is security.
    </sch:p>
    
    <sch:rule context="*[@ism:excludeFromRollup and namespace-uri()='urn:us:mil:ces:metadata:ddms:4']">
        <sch:assert 
            test="local-name() = 'security'"
            flag="error">
            [IRM-ID-00025][Error] The attribute @ism:excludeFromRollup must not be specified for any element 
            in the namespace [urn:us:mil:ces:metadata:ddms:4] except security.
        </sch:assert>
    </sch:rule>
</sch:pattern>