<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00001" is-a="ValidateValueExistenceInList" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
	<sch:p id="ruleText">
		[IRM-ID-00001][Error] If element ddms:countryCode has attribute @ddms:qualifier specified as
		[urn:us:gov:ic:cvenum:irm:coverage:fips:digraph] then the value of attribute @ddms:value must
		be in CVEnumIRMCoverageFIPSDigraph.xml.
		
		Human Readable: FIPS CountryCodes must appear in the FIPS CVE.
	</sch:p>
	
	<sch:p id="codeDesc">
		This rule uses an abstract pattern to consolidate logic. It checks that the
		value in parameter $searchTerm is contained in the parameter $list. The parameter
		$searchTerm is relative in scope to the parameter $context. The value for the parameter 
		$list is a variable defined in the main document (IRM_XML.sch), which reads 
		values from a specific CVE file.
	</sch:p>
	
	<sch:param name="ruleText" value="'
		[IRM-ID-00001][Error] If element ddms:countryCode has attribute @ddms:qualifier specified as
		[urn:us:gov:ic:cvenum:irm:coverage:fips:digraph] then the value of attribute @ddms:value must
		be in CVEnumIRMCoverageFIPSDigraph.xml.
		
		Human Readable: FIPS CountryCodes must in the the FIPS CVE.
		'"/>
	
	<sch:param name="codeDesc" value="'
		This rule uses an abstract pattern to consolidate logic. It checks that the
		value in parameter $searchTerm is contained in the parameter $list. The parameter
		$searchTerm is relative in scope to the parameter $context. The value for the parameter 
		$list is a variable defined in the main document (IRM_XML.sch), which reads 
		values from a specific CVE file.
		'"/>
	
	<sch:param name="context" value="ddms:countryCode[@ddms:qualifier='urn:us:gov:ic:cvenum:irm:coverage:fips:digraph']"/>
	<sch:param name="searchTerm" value="@ddms:value"/>
	<sch:param name="list" value="$coverageFipsDigraphList"/>
	<sch:param name="errMsg" value="'
		[IRM-ID-00001][Error] If element ddms:countryCode has attribute @ddms:qualifier specified as
		[urn:us:gov:ic:cvenum:irm:coverage:fips:digraph] then the value of attribute @ddms:value must
		be in CVEnumIRMCoverageFIPSDigraph.xml.
		
		Human Readable: FIPS CountryCodes must in the the FIPS CVE.
		'"/> 
</sch:pattern>