<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="ISM-ID-00224" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [ISM-ID-00224][Error] If ISM_CAPCO_RESOURCE and any element meeting ISM_CONTRIBUTES 
        in the document has the attribute disseminationControls containing [OC], then the 
        attribute @ism:pocType with value [ORCON] must be specified on some element in the document. 

        Human Readable: In accordance with the ORCON Memo dated March 11, 2011, 
        USA documents containing ORIGINATOR CONTROLLED data must specify a 
        point-of-contact to whom adjudication decisions about those data can be
        directed.
    </sch:p>
    <sch:p id="codeDesc">
        If the document is an ISM-CAPCO-RESOURCE and the ISM_RESOURCE_ELEMENT
        specifies attribute disseminationControls with a value containing the
        token [OC] and the ISM_RESOURCE_ELEMENT specifies the attribtue
        createDate with a date equal to or greater than
        the ISM_ORCON_POC_DATE, we make sure that an element meeting 
        ISM_CONTRIBUTES specifies the attribute ism:pocType with a value
        containing the token [ORCON].
    </sch:p>
    <sch:rule context="*[$ISM_CAPCO_RESOURCE
                        and generate-id(.)=generate-id($ISM_RESOURCE_ELEMENT)
                        and $ISM_RESOURCE_CREATE_DATE &gt; $ISM_ORCON_POC_DATE
                        and $bannerDisseminationControls_tok='OC']">
        <sch:assert  
            test="$partPocType_tok='ORCON'" 
            flag="error">
            [ISM-ID-00224][Error] If ISM_CAPCO_RESOURCE and any element meeting ISM_CONTRIBUTES 
            in the document has the attribute disseminationControls containing [OC], then the 
            attribute @ism:pocType with value [ORCON] must be specified on some element in the document. 

            Human Readable: In accordance with the ORCON Memo dated March 11, 2011, 
            USA documents containing ORIGINATOR CONTROLLED data must specify a 
            point-of-contact to whom adjudication decisions about those data can be
            directed.
        </sch:assert>
    </sch:rule>
</sch:pattern>